package module

import (
	"gitlab.alibaba-inc.com/pai_biz_arch/pairec/context"
	"gitlab.alibaba-inc.com/pai_biz_arch/pairec/recconf"
)

type UserGroupHotRecallDao interface {
	ListItemsByUser(user *User, context *context.RecommendContext) []*Item
}

func NewUserGroupHotRecallDao(config recconf.RecallConfig) UserGroupHotRecallDao {
	// if config.DaoConf.AdapterType == recconf.DaoConf_Adapter_Mysql {
	// return NewUserCusteomRecallMysqlDao(config)
	// } else if config.DaoConf.AdapterType == recconf.DaoConf_Adapter_TableStore {
	// return NewUserGroupHotRecallTableStoreDao(config)
	// } else if config.DaoConf.AdapterType == recconf.DaoConf_Adapter_Hologres {
	// return NewUserCusteomRecallHologresDao(config)
	// }

	if config.DaoConf.AdapterType == recconf.DaoConf_Adapter_Hologres {
		return NewUserGroupHotRecallHologresDao(config)
	}

	panic("not found UserGroupHotRecallDao implement")
}
